ClarisDrawGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::SubDocument:

## Public Member Functions
| SubDocument (ClarisDrawGraph &pars, MWAWInputStreamPtr &input, int zoneId, int subId)
| constructor for zone
| SubDocument (ClarisDrawGraph &pars, MWAWInputStreamPtr &input, std::string const &measure)
| constructor for measure
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Public Attributes
ClarisDrawGraph * | m_graphParser
| the graph parser

## Protected Attributes
int | m_id
| the subdocument id
int | m_subId
| the subdocument sub id
std::string | m_measure
| the measure
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

ClarisDrawGraphInternal::SubDocument::SubDocument | ( | ClarisDrawGraph & | pars,
|  | MWAWInputStreamPtr & | input,
|  | int | zoneId,
|  | int | subId )
| inline

constructor for zone

Referenced by operator!=(), operator=(), and SubDocument().

## ◆ SubDocument() [2/3]

ClarisDrawGraphInternal::SubDocument::SubDocument | ( | ClarisDrawGraph & | pars,
|  | MWAWInputStreamPtr & | input,
|  | std::string const & | measure )
| inline

constructor for measure

## ◆ ~SubDocument()

ClarisDrawGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [3/3]

ClarisDrawGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ operator!=()

bool ClarisDrawGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inline final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & ClarisDrawGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private delete

## ◆ parse()

void ClarisDrawGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_graphParser

ClarisDrawGraph* ClarisDrawGraphInternal::SubDocument::m_graphParser

the graph parser

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_id

int ClarisDrawGraphInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_measure

std::string ClarisDrawGraphInternal::SubDocument::m_measure
| protected

the measure

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_subId

int ClarisDrawGraphInternal::SubDocument::m_subId
| protected

the subdocument sub id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- ClarisDrawGraph.cxx